package com.mslji.socialmediaui.adapter;

import android.app.AlertDialog;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.appcompat.widget.AppCompatButton;
import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.model.getNotificationData;

import java.util.ArrayList;
import java.util.List;

import de.hdodenhof.circleimageview.CircleImageView;

public class ActivityAdapter extends RecyclerView.Adapter<ActivityAdapter.ViewHolder> {
    public static Context mcontext;

    public boolean run = false;
    public static List<getNotificationData> productList;
    public static boolean runtimer = true;
    public Context context;
    ViewHolder view;

    public getNotificationData getselfdata;
    String Contest = "";


    ViewHolder viewHolder;

    public ActivityAdapter(Context context, List<getNotificationData> productlist) {
        super();
        this.context = context;
        this.productList = productlist;
        mcontext = context;
    }

    public void filterList(ArrayList<getNotificationData> filteredList) {
        productList = filteredList;
        notifyDataSetChanged();
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        View v = LayoutInflater.from(viewGroup.getContext())
                .inflate(R.layout.activity_layout, viewGroup, false);
        viewHolder = new ViewHolder(v);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(final ViewHolder viewHolder, final int i) {

        view = viewHolder;
        Glide.with(mcontext)
                .load(productList.get(i).getImg())
                .centerCrop()
                .placeholder(R.drawable.myphotos)
                .into(viewHolder.imgu);

        if (productList.get(i).getRequest().equalsIgnoreCase("Started following you")){
            viewHolder.btn.setVisibility(View.VISIBLE);
        }else {
            viewHolder.btn.setVisibility(View.GONE);
        }
        viewHolder.tvcount.setText(productList.get(i).getRequest());

        viewHolder.tvdate.setText(productList.get(i).getName());


    }

    @Override
    public int getItemCount() {
//        if(productList.size()>3){
//            return 3;
//        }else {
        return productList.size();
//        }

    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView tvdate,tvcount;
        public AppCompatButton btn;

        public CircleImageView imgu;
        LinearLayout mlinearLayout,mmlinear;




        public ViewHolder(View itemView) {
            super(itemView);



            btn = (AppCompatButton)itemView.findViewById(R.id.btnbtn);






            imgu = (CircleImageView)itemView.findViewById(R.id.img);

            tvdate = (TextView) itemView.findViewById(R.id.nametv);
            tvcount = (TextView) itemView.findViewById(R.id.sectext);











        }




    }


}



