package com.mslji.socialmediaui.adapter;

import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.appcompat.widget.AppCompatButton;
import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.chat.ChatingActivity;
import com.mslji.socialmediaui.model.getNotificationData;

import java.util.ArrayList;
import java.util.List;

import de.hdodenhof.circleimageview.CircleImageView;

public class ChatingAdapter extends RecyclerView.Adapter<ChatingAdapter.ViewHolder> {
    public static Context mcontext;

    public boolean run = false;
    public static List<getNotificationData> productList;
    public static boolean runtimer = true;
    public Context context;
    ViewHolder view;

    public getNotificationData getselfdata;
    String Contest = "";


    ViewHolder viewHolder;

    public ChatingAdapter(Context context, List<getNotificationData> productlist) {
        super();
        this.context = context;
        this.productList = productlist;
        mcontext = context;
    }

    public void filterList(ArrayList<getNotificationData> filteredList) {
        productList = filteredList;
        notifyDataSetChanged();
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        View v = LayoutInflater.from(viewGroup.getContext())
                .inflate(R.layout.chating_recyclerview, viewGroup, false);
        viewHolder = new ViewHolder(v);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(final ViewHolder viewHolder, final int i) {

        view = viewHolder;
        Glide.with(mcontext)
                .load(productList.get(i).getImg())
                .centerCrop()
                .placeholder(R.drawable.myphotos)
                .into(viewHolder.imgu);


        viewHolder.tvcount.setText(productList.get(i).getRequest());

        viewHolder.tvdate.setText(productList.get(i).getName());


    }

    @Override
    public int getItemCount() {
//        if(productList.size()>3){
//            return 3;
//        }else {
        return productList.size();
//        }

    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView tvdate,tvcount;
        public AppCompatButton btn;

        public CircleImageView imgu;
        LinearLayout mlinearLayout,mmlinear,mclik;




        public ViewHolder(View itemView) {
            super(itemView);







            mclik = (LinearLayout)itemView.findViewById(R.id.cliknow);


            imgu = (CircleImageView)itemView.findViewById(R.id.img);

            tvdate = (TextView) itemView.findViewById(R.id.nametv);
            tvcount = (TextView) itemView.findViewById(R.id.sectext);


            mclik.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View v) {
                    Intent intent = new Intent(mcontext, ChatingActivity.class);
                    mcontext.startActivity(intent);
                }
            });









        }




    }


}





