package com.mslji.socialmediaui.adapter;

import android.app.AlertDialog;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.model.GetTimeLine;

import java.util.ArrayList;
import java.util.List;

import de.hdodenhof.circleimageview.CircleImageView;

public class TimeLineAdapter extends RecyclerView.Adapter<TimeLineAdapter.ViewHolder> {
    public static Context mcontext;

    public boolean run = false;
    public static List<GetTimeLine> productList;
    public static boolean runtimer = true;
    public Context context;
    ViewHolder view;

    public GetTimeLine getselfdata;
    String Contest = "";


    ViewHolder viewHolder;

    public TimeLineAdapter(Context context, List<GetTimeLine> productlist) {
        super();
        this.context = context;
        this.productList = productlist;
        mcontext = context;
    }

    public void filterList(ArrayList<GetTimeLine> filteredList) {
        productList = filteredList;
        notifyDataSetChanged();
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        View v = LayoutInflater.from(viewGroup.getContext())
                .inflate(R.layout.timeline_layout, viewGroup, false);
        viewHolder = new ViewHolder(v);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(final ViewHolder viewHolder, final int i) {

        view = viewHolder;
        Glide.with(mcontext)
                .load(productList.get(i).getUserimg())
                .centerCrop()
                .placeholder(R.drawable.myphotos)
                .into(viewHolder.imgu);


        Glide.with(mcontext)
                .load(productList.get(i).getImg())
                .centerCrop()
                .placeholder(R.drawable.myphotos)
                .into(viewHolder.ivbigimage);


        viewHolder.tvcount.setText(productList.get(i).getCity());
        viewHolder.tvdate.setText(productList.get(i).getName());





        viewHolder.tvlike.setText(productList.get(i).getLike());
        viewHolder.tvcomm.setText(productList.get(i).getComm());
        viewHolder.tvupload.setText(productList.get(i).getDownload());


    }

    @Override
    public int getItemCount() {
//        if(productList.size()>3){
//            return 3;
//        }else {
        return productList.size();
//        }

    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView tvdate,tvcount, tvlike,tvcomm, tvupload;

        public ImageView ivclosetv,ivcaller,ivbigimage;

        public CircleImageView imgu;
        LinearLayout mlinearLayout,mmlinear;
        //        private FirebaseFirestore firebaseFirestore;
//        DatabaseReference rootRef;
        public AlertDialog alertDialog;



        public ViewHolder(View itemView) {
            super(itemView);






            ivbigimage = (ImageView)itemView.findViewById(R.id.bigimage);



            imgu = (CircleImageView)itemView.findViewById(R.id.img);

            tvdate = (TextView) itemView.findViewById(R.id.nametv);
            tvcount = (TextView) itemView.findViewById(R.id.sectext);



            tvlike = (TextView) itemView.findViewById(R.id.like);
            tvcomm = (TextView) itemView.findViewById(R.id.comm);
            tvupload = (TextView) itemView.findViewById(R.id.upload);











        }




    }


}





