package com.mslji.socialmediaui.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.adapter.TimeLineAdapter;
import com.mslji.socialmediaui.model.GetTimeLine;

import java.util.ArrayList;

public class PostFragment  extends Fragment {
    public PostFragment() {
        // Required empty public constructor
    }
    private RecyclerView mRecyclerViewTimeLine;
    public RecyclerView.LayoutManager mLayoutManager;
    public GetTimeLine requesttime;
    private TimeLineAdapter timeAdapter;
    public ArrayList<GetTimeLine> productListTime = new ArrayList<>();
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        final View view;
        view = inflater.inflate(R.layout.fragment_post, container, false);

        initViews(view);
        getData();
        onClik();
        return view;
    }

    private void getData(){
        if (productListTime.size()>0){
            productListTime.clear();
        }


        requesttime = new GetTimeLine();
        requesttime.setUserimg("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        requesttime.setName("Sumit Agarwal");
        requesttime.setCity("Kanpur, India");
        requesttime.setImg("https://cdn.pixabay.com/photo/2018/01/12/10/19/fantasy-3077928__340.jpg");
        requesttime.setDetails("This is good place");
        requesttime.setLike("10k");
        requesttime.setComm("4k");
        requesttime.setDownload("7k");
        productListTime.add(requesttime);


        requesttime = new GetTimeLine();
        requesttime.setUserimg("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        requesttime.setName("Sanchit Agarwal");
        requesttime.setImg("https://www.marshallsindia.com/images/younique/nature/nature-cover-slider-6.jpg");
        requesttime.setCity("UP, India");
        requesttime.setDetails("This is good place");
        requesttime.setLike("10k");
        requesttime.setComm("4k");
        requesttime.setDownload("7k");
        productListTime.add(requesttime);


        timeAdapter = new TimeLineAdapter(getActivity(), productListTime);
        mLayoutManager = new LinearLayoutManager(getActivity(), LinearLayoutManager.VERTICAL, true);
        mRecyclerViewTimeLine.setLayoutManager(mLayoutManager);
        mRecyclerViewTimeLine.setAdapter(timeAdapter);
    }
    private void initViews(final View view){
        mRecyclerViewTimeLine = (RecyclerView)view.findViewById(R.id.timeline_mRecyclerView);
    }

    private void onClik(){

    }
}
