package com.mslji.socialmediaui.signin;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatButton;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.mslji.socialmediaui.MainActivity;
import com.mslji.socialmediaui.Notification.NotificationActivity;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.forgetpassword.ForgetPasswordActivity;
import com.mslji.socialmediaui.message.MessageActivity;
import com.mslji.socialmediaui.signup.SignupActivity;

public class SigninActivity extends AppCompatActivity {


    private TextView tvsignup,tvforgetpasstv;
    private AppCompatButton btn;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_signin);




        initView();

        onClick();
    }

    private void initView(){
        tvforgetpasstv = (TextView)findViewById(R.id.forgetpasstv);
        tvsignup = (TextView)findViewById(R.id.signup);
        btn = (AppCompatButton)findViewById(R.id.btnsignin);
    }

    private void onClick(){
        tvforgetpasstv.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(SigninActivity.this, ForgetPasswordActivity.class);
                startActivity(intent);
            }
        });
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(SigninActivity.this, MainActivity.class);
                startActivity(intent);
            }
        });
        tvsignup.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(SigninActivity.this, SignupActivity.class);
                startActivity(intent);

            }
        });
    }
}