package com.mslji.socialmediaui.adapter;

import android.app.AlertDialog;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.model.GetStoryData;

import java.util.ArrayList;
import java.util.List;

import de.hdodenhof.circleimageview.CircleImageView;

public class StoryAdapter extends RecyclerView.Adapter<StoryAdapter.ViewHolder> {
    public static Context mcontext;

    public boolean run = false;
    public static List<GetStoryData> productList;
    public static boolean runtimer = true;
    public Context context;
    ViewHolder view;

    public GetStoryData getselfdata;
    String Contest = "";


    ViewHolder viewHolder;

    public StoryAdapter(Context context, List<GetStoryData> productlist) {
        super();
        this.context = context;
        this.productList = productlist;
        mcontext = context;
    }

    public void filterList(ArrayList<GetStoryData> filteredList) {
        productList = filteredList;
        notifyDataSetChanged();
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        View v = LayoutInflater.from(viewGroup.getContext())
                .inflate(R.layout.story_layout, viewGroup, false);
        viewHolder = new ViewHolder(v);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(final ViewHolder viewHolder, final int i) {

        view = viewHolder;
        Glide.with(mcontext)
                .load(productList.get(i).getImage())
                .centerCrop()
                .placeholder(R.drawable.myphotos)
                .into(viewHolder.imgu);


        viewHolder.tvdate.setText(productList.get(i).getNames());


    }

    @Override
    public int getItemCount() {
//        if(productList.size()>3){
//            return 3;
//        }else {
        return productList.size();
//        }

    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public TextView tvdate,tvcount;
        private final static String simSlotName[] = {
                "extra_asus_dial_use_dualsim",
                "com.android.phone.extra.slot",
                "slot",
                "simslot",
                "sim_slot",
                "subscription",
                "Subscription",
                "phone",
                "com.android.phone.DialingMode",
                "simSlot",
                "slot_id",
                "simId",
                "simnum",
                "phone_type",
                "slotId",
                "slotIdx"
        };
        public ImageView ivclosetv,ivcaller;

        public CircleImageView imgu;
        LinearLayout mlinearLayout,mmlinear;
        //        private FirebaseFirestore firebaseFirestore;
//        DatabaseReference rootRef;
        public AlertDialog alertDialog;



        public ViewHolder(View itemView) {
            super(itemView);









            imgu = (CircleImageView)itemView.findViewById(R.id.img);

            tvdate = (TextView) itemView.findViewById(R.id.nametv);











        }




    }


}




