package com.mslji.socialmediaui.adapter;


import com.mslji.socialmediaui.fragment.AllFragment;
import com.mslji.socialmediaui.fragment.HomeFragment;
import com.mslji.socialmediaui.fragment.PepoleFragment;
import com.mslji.socialmediaui.fragment.PhotosFragment;
import com.mslji.socialmediaui.fragment.PostFragment;
import com.mslji.socialmediaui.fragment.EventFragment;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentStatePagerAdapter;

public class TabsAdapter extends FragmentStatePagerAdapter {
    int mNumOfTabs;
    public TabsAdapter(FragmentManager fm, int NoofTabs){
        super(fm);
        this.mNumOfTabs = NoofTabs;
    }
    @Override
    public int getCount() {
        return mNumOfTabs;
    }
    @Override
    public Fragment getItem(int position){
        switch (position){
            case 0:
                AllFragment home = new AllFragment();
                return home;
            case 1:
                PepoleFragment about = new PepoleFragment();
                return about;
            case 2:
                PostFragment contact = new PostFragment();
                return contact;

            case 3:
                PhotosFragment contacts = new PhotosFragment();
                return contacts;
            case 4:
                EventFragment contactsx = new EventFragment();
                return contactsx;
            default:
                return null;
        }
    }
}
