package com.mslji.socialmediaui.fragment;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.appcompat.widget.AppCompatButton;
import androidx.fragment.app.Fragment;

import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.filter.FilterActivity;

public class LocationFragment extends Fragment {
    public LocationFragment() {
        // Required empty public constructor
    }
    private AppCompatButton btnbtn,btnunbtn;
    private ImageView ivback;
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        final View view;
        view = inflater.inflate(R.layout.fragment_location, container, false);



        initViews(view);
        onClick();
        return view;
    }


    private void initViews(final View view){
        ivback =(ImageView)view.findViewById(R.id.backiv);
        btnbtn = (AppCompatButton)view.findViewById(R.id.btn);
        btnunbtn = (AppCompatButton)view.findViewById(R.id.unbtn);
    }

    private void onClick(){

        ivback.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getActivity(), FilterActivity.class);
                startActivity(intent);

            }
        });

        btnunbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                btnunbtn.setBackgroundResource(R.drawable.btnnotification_right);
                btnunbtn.setTextColor(Color.parseColor("#FFFFFF"));



                btnbtn.setTextColor(Color.parseColor("#9a9fad"));
                btnbtn.setBackgroundResource(R.drawable.btnunnotification_right);
            }
        });

        btnbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                btnbtn.setTextColor(Color.parseColor("#FFFFFF"));
                btnbtn.setBackgroundResource(R.drawable.btnnotification);



                btnunbtn.setTextColor(Color.parseColor("#9a9fad"));
                btnunbtn.setBackgroundResource(R.drawable.btnunnotification);
            }
        });
    }
}
