package com.mslji.socialmediaui.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.adapter.PepoleAdapter;
import com.mslji.socialmediaui.message.MessageActivity;
import com.mslji.socialmediaui.model.getNotificationData;

import java.util.ArrayList;

public class PepoleFragment extends Fragment {
    public PepoleFragment() {
        // Required empty public constructor
    }
    public RecyclerView.LayoutManager mLayoutManager;
    final  private ArrayList<getNotificationData> productList = new ArrayList<getNotificationData>();
    private getNotificationData request;
    private PepoleAdapter pepoleAdapter;
    private RecyclerView mfollow_request_mRecyclerView;
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        final View view;
        view = inflater.inflate(R.layout.fragment_pepole, container, false);


        initView(view);
        getData();
        return view;
    }
    private void getData(){
        if (productList.size()>0){
            productList.clear();
        }

        request = new getNotificationData();
        request.setImg("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        request.setName("Courtney Henry");
        request.setRequest("@Henry_courteny");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        request.setName("Floyed Miles");
        request.setRequest("@miles_floyed");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/waist-up-portrait-handsome-serious-unshaven-male-keeps-hands-together-dressed-dark-blue-shirt-has-talk-with-interlocutor-stands-against-white-wall-self-confident-man-freelancer_273609-16320.jpg?size=626&ext=jpg");
        request.setName("Esther Howard");
        request.setRequest("@howard_esther");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/young-handsome-man-with-beard-isolated-keeping-arms-crossed-frontal-position_1368-132662.jpg?size=626&ext=jpg");
        request.setName("Leslie Alexander");
        request.setRequest("@alexander_leslie");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://thumbs.dreamstime.com/b/handsome-man-black-suit-white-shirt-posing-studio-attractive-guy-fashion-hairstyle-confident-man-short-beard-125019349.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("@Simmons_brooklyn");
        productList.add(request);



        request = new getNotificationData();
        request.setImg("https://us.123rf.com/450wm/mimagephotography/mimagephotography1602/mimagephotography160200833/53356511-close-up-portrait-of-a-smiling-young-african-american-man-in-a-denim-shirt-against-white-background.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("@Williamson");
        productList.add(request);




        request = new getNotificationData();
        request.setImg("https://images.all-free-download.com/images/graphicthumb/man_singer_musician_214792.jpg");
        request.setName("Bessie Cooper");
        request.setRequest("@Cooper_bessie");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://sa1s3optim.patientpop.com/assets/images/provider/photos/1888657.jpg");
        request.setName("Courtney Henry");
        request.setRequest("@Henry_courtney");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://cdn.shopify.com/s/files/1/0045/5104/9304/t/27/assets/AC_ECOM_SITE_2020_REFRESH_1_INDEX_M2_THUMBS-V2-1.jpg");
        request.setName("Floyed Miles");
        request.setRequest("@Miles_Floyed");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://www.helpguide.org/wp-content/uploads/man-sitting-clenched-hands-pained-eyes-768.jpg");
        request.setName("Esther Howard");
        request.setRequest("@Howard_Esther");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://post.healthline.com/wp-content/uploads/2019/09/man-city-urban-walking-serious-732x549-thumbnail.jpg");
        request.setName("Leslie Alexander");
        request.setRequest("@Alexander_Leslie");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://static9.depositphotos.com/1371851/1141/i/950/depositphotos_11412590-stock-photo-handsome-young-man.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("@Simmons_Brooklyn");
        productList.add(request);



        request = new getNotificationData();
        request.setImg("https://www.comingsoon.net/assets/uploads/2021/03/jasonstatham.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("@Williamson_Cameron");
        productList.add(request);




        request = new getNotificationData();
        request.setImg("");
        request.setName("Bessie Cooper");
        request.setRequest("@Cooper_Bessie");
        productList.add(request);


        pepoleAdapter = new PepoleAdapter(getActivity(), productList);
        mLayoutManager = new LinearLayoutManager(getActivity(), LinearLayoutManager.VERTICAL, true);
        mfollow_request_mRecyclerView.setLayoutManager(mLayoutManager);
        mfollow_request_mRecyclerView.setAdapter(pepoleAdapter);
    }
    private void initView(final View view){
        mfollow_request_mRecyclerView =(RecyclerView)view.findViewById(R.id.follow_request_mRecyclerView);
    }
}
