package com.mslji.socialmediaui.message;

import com.mslji.socialmediaui.Notification.NotificationActivity;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.adapter.ActivityAdapter;
import com.mslji.socialmediaui.adapter.CallingAdapter;
import com.mslji.socialmediaui.adapter.ChatingAdapter;
import com.mslji.socialmediaui.adapter.FollowRequestAdapter;
import com.mslji.socialmediaui.model.getNotificationData;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.AppCompatButton;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;

import java.util.ArrayList;

public class MessageActivity extends AppCompatActivity {
    final  private ArrayList<getNotificationData> productList = new ArrayList<getNotificationData>();
    final  private ArrayList<getNotificationData> productListCalling = new ArrayList<getNotificationData>();
    private getNotificationData request;

    private AppCompatButton btnbtn,btnunbtn;
    private LinearLayout mfollow_request_ll,mactivity_ll;
    private RecyclerView mfollow_request_mRecyclerView, mactivity_mRecyclerView;
    private ChatingAdapter chatAdapter;
    private CallingAdapter callingAdapter;
    private ImageView ivback;
    public RecyclerView.LayoutManager mLayoutManager;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_message);


        initView();
        onClick();
        getData();
    }

    private void getData(){
        if (productList.size()>0){
            productList.clear();
        }

        request = new getNotificationData();
        request.setImg("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        request.setName("Courtney Henry");
        request.setRequest("This is amazing! What a great way to incorp...");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        request.setName("Floyed Miles");
        request.setRequest("Wishing you a great week, E-Learning Heroes!");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/waist-up-portrait-handsome-serious-unshaven-male-keeps-hands-together-dressed-dark-blue-shirt-has-talk-with-interlocutor-stands-against-white-wall-self-confident-man-freelancer_273609-16320.jpg?size=626&ext=jpg");
        request.setName("Esther Howard");
        request.setRequest("Yes, that's gonna work hopefully.");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/young-handsome-man-with-beard-isolated-keeping-arms-crossed-frontal-position_1368-132662.jpg?size=626&ext=jpg");
        request.setName("Leslie Alexander");
        request.setRequest("Pls take a look at the image.");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://thumbs.dreamstime.com/b/handsome-man-black-suit-white-shirt-posing-studio-attractive-guy-fashion-hairstyle-confident-man-short-beard-125019349.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("Wishing you a great week, E-Learning Heroes!");
        productList.add(request);



        request = new getNotificationData();
        request.setImg("https://us.123rf.com/450wm/mimagephotography/mimagephotography1602/mimagephotography160200833/53356511-close-up-portrait-of-a-smiling-young-african-american-man-in-a-denim-shirt-against-white-background.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("Wishing you a great week, E-Learning heroes!");
        productList.add(request);




        request = new getNotificationData();
        request.setImg("https://images.all-free-download.com/images/graphicthumb/man_singer_musician_214792.jpg");
        request.setName("Bessie Cooper");
        request.setRequest("This is amazing! What a great way to incorp...");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://sa1s3optim.patientpop.com/assets/images/provider/photos/1888657.jpg");
        request.setName("Courtney Henry");
        request.setRequest("Wishing you a great week, E-Learning Heroes!");
        productList.add(request);

        request = new getNotificationData();
        request.setImg("https://cdn.shopify.com/s/files/1/0045/5104/9304/t/27/assets/AC_ECOM_SITE_2020_REFRESH_1_INDEX_M2_THUMBS-V2-1.jpg");
        request.setName("Floyed Miles");
        request.setRequest("Yes, that's gonna work hopefully.");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://www.helpguide.org/wp-content/uploads/man-sitting-clenched-hands-pained-eyes-768.jpg");
        request.setName("Esther Howard");
        request.setRequest("Pls take a look at the image.");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://post.healthline.com/wp-content/uploads/2019/09/man-city-urban-walking-serious-732x549-thumbnail.jpg");
        request.setName("Leslie Alexander");
        request.setRequest("Wishing you a great week, E-Learning Heroes!");
        productList.add(request);


        request = new getNotificationData();
        request.setImg("https://static9.depositphotos.com/1371851/1141/i/950/depositphotos_11412590-stock-photo-handsome-young-man.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("Wishing you a great week, E-Learning heroes!");
        productList.add(request);



        request = new getNotificationData();
        request.setImg("https://www.comingsoon.net/assets/uploads/2021/03/jasonstatham.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("Commented on your post 'Lindsey, this is awesome news!'");
        productList.add(request);




        request = new getNotificationData();
        request.setImg("");
        request.setName("Bessie Cooper");
        request.setRequest("Started following you");
        productList.add(request);

        chatAdapter = new ChatingAdapter(MessageActivity.this, productList);
        mLayoutManager = new LinearLayoutManager(MessageActivity.this, LinearLayoutManager.VERTICAL, true);
        mfollow_request_mRecyclerView.setLayoutManager(mLayoutManager);
        mfollow_request_mRecyclerView.setAdapter(chatAdapter);



        if (productListCalling.size()>0){
            productListCalling.clear();
        }

        request = new getNotificationData();
        request.setImg("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        request.setName("Courtney Henry");
        request.setRequest("Missed Call 05:57 PM");
        productListCalling.add(request);

        request = new getNotificationData();
        request.setImg("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        request.setName("Floyed Miles");
        request.setRequest("Incoming Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/waist-up-portrait-handsome-serious-unshaven-male-keeps-hands-together-dressed-dark-blue-shirt-has-talk-with-interlocutor-stands-against-white-wall-self-confident-man-freelancer_273609-16320.jpg?size=626&ext=jpg");
        request.setName("Esther Howard");
        request.setRequest("Outgoing Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://img.freepik.com/free-photo/young-handsome-man-with-beard-isolated-keeping-arms-crossed-frontal-position_1368-132662.jpg?size=626&ext=jpg");
        request.setName("Leslie Alexander");
        request.setRequest("Missed Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://thumbs.dreamstime.com/b/handsome-man-black-suit-white-shirt-posing-studio-attractive-guy-fashion-hairstyle-confident-man-short-beard-125019349.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("Incoming Call 05:57 PM");
        productListCalling.add(request);



        request = new getNotificationData();
        request.setImg("https://us.123rf.com/450wm/mimagephotography/mimagephotography1602/mimagephotography160200833/53356511-close-up-portrait-of-a-smiling-young-african-american-man-in-a-denim-shirt-against-white-background.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("Outgoing Call 05:57 PM");
        productListCalling.add(request);




        request = new getNotificationData();
        request.setImg("https://images.all-free-download.com/images/graphicthumb/man_singer_musician_214792.jpg");
        request.setName("Bessie Cooper");
        request.setRequest("Missed Call 05:57 PM");
        productListCalling.add(request);

        request = new getNotificationData();
        request.setImg("https://sa1s3optim.patientpop.com/assets/images/provider/photos/1888657.jpg");
        request.setName("Courtney Henry");
        request.setRequest("Incoming Call 05:57 PM");
        productListCalling.add(request);

        request = new getNotificationData();
        request.setImg("https://cdn.shopify.com/s/files/1/0045/5104/9304/t/27/assets/AC_ECOM_SITE_2020_REFRESH_1_INDEX_M2_THUMBS-V2-1.jpg");
        request.setName("Floyed Miles");
        request.setRequest("Outgoing Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://www.helpguide.org/wp-content/uploads/man-sitting-clenched-hands-pained-eyes-768.jpg");
        request.setName("Esther Howard");
        request.setRequest("Missed Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://post.healthline.com/wp-content/uploads/2019/09/man-city-urban-walking-serious-732x549-thumbnail.jpg");
        request.setName("Leslie Alexander");
        request.setRequest("Incoming Call 05:57 PM");
        productListCalling.add(request);


        request = new getNotificationData();
        request.setImg("https://static9.depositphotos.com/1371851/1141/i/950/depositphotos_11412590-stock-photo-handsome-young-man.jpg");
        request.setName("Brooklyn Simmons");
        request.setRequest("Outgoing Call 05:57 PM");
        productListCalling.add(request);



        request = new getNotificationData();
        request.setImg("https://www.comingsoon.net/assets/uploads/2021/03/jasonstatham.jpg");
        request.setName("Cameron Williamson");
        request.setRequest("Missed Call 05:57 PM");
        productListCalling.add(request);




        request = new getNotificationData();
        request.setImg("");
        request.setName("Bessie Cooper");
        request.setRequest("Incoming Call 05:57 PM");
        productListCalling.add(request);



        callingAdapter = new CallingAdapter(MessageActivity.this, productListCalling);
        mLayoutManager = new LinearLayoutManager(MessageActivity.this, LinearLayoutManager.VERTICAL, true);
        mactivity_mRecyclerView.setLayoutManager(mLayoutManager);
        mactivity_mRecyclerView.setAdapter(callingAdapter);
    }
    private void onClick(){
        ivback.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                onBackPressed();
            }
        });
        btnunbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                btnunbtn.setBackgroundResource(R.drawable.btnnotification_right);
                btnunbtn.setTextColor(Color.parseColor("#FFFFFF"));
                mactivity_ll.setVisibility(View.VISIBLE);
                mfollow_request_ll.setVisibility(View.GONE);


                btnbtn.setTextColor(Color.parseColor("#9a9fad"));
                btnbtn.setBackgroundResource(R.drawable.btnunnotification_right);
            }
        });

        btnbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                btnbtn.setTextColor(Color.parseColor("#FFFFFF"));
                btnbtn.setBackgroundResource(R.drawable.btnnotification);

                mactivity_ll.setVisibility(View.GONE);
                mfollow_request_ll.setVisibility(View.VISIBLE);

                btnunbtn.setTextColor(Color.parseColor("#9a9fad"));
                btnunbtn.setBackgroundResource(R.drawable.btnunnotification);
            }
        });

    }
    private void initView(){
        ivback =(ImageView)findViewById(R.id.backiv);
        mactivity_mRecyclerView =(RecyclerView)findViewById(R.id.activity_mRecyclerView);
        mfollow_request_mRecyclerView =(RecyclerView)findViewById(R.id.follow_request_mRecyclerView);


        mactivity_ll = (LinearLayout)findViewById(R.id.activity_ll);
        mfollow_request_ll = (LinearLayout)findViewById(R.id.follow_request_ll);
        btnbtn = (AppCompatButton)findViewById(R.id.btn);
        btnunbtn = (AppCompatButton)findViewById(R.id.unbtn);



        mactivity_ll.setVisibility(View.GONE);
        mfollow_request_ll.setVisibility(View.VISIBLE);
    }
}