package com.mslji.socialmediaui.splash;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.slider.IntroActivity;

public class SplashActivity extends AppCompatActivity {
    final int splashTimeOut = 1000;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);




        initViews();
    }




    private void initViews() {
        Thread splashThread = new Thread(){
            int wait = 0;
            @Override
            public void run() {
                try {
                    super.run();
                    while(wait < splashTimeOut){
                        sleep(100);
                        wait += 100;
                    }
                } catch (Exception e) {
                }finally{

                        Intent intent  = new Intent(SplashActivity.this, IntroActivity.class);
                        startActivity(intent);
                        finish();

                }
            }
        };
        splashThread.start();
    }
}